#include "xanimparttransdata.h"

XAnimPartTransData::XAnimPartTransData()
    : XAsset()
    , mFrames()
    , mFrame()
{
    SetName("Animation Part Trans Data");
}

XAnimPartTransData::XAnimPartTransData(const XAnimPartTransData &aSrc)
    : XAsset()
    , mFrames(aSrc.mFrames)
    , mFrame(aSrc.mFrame)
{

}

void XAnimPartTransData::ParseData(XDataStream *aStream) {
    if (GetPtr() == -1) {
        // We need to determine which part of the union to parse
        // For simplicity, we'll assume it's always frames for now
        mFrames.ParseData(aStream);
    }
}

void XAnimPartTransData::Clear()
{

}
